Webhooks
PATCH
/webhooks/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

An API key created under Settings → API & Webhooks.

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Any subset of these fields.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/webhooks/string" \  -H "Content-Type: application/json" \  -d '{    "enabled": false  }'
{  "data": {    "id": "string",    "url": "string",    "events": [      "string"    ],    "enabled": true,    "classifyReplies": true,    "secret": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "lastDeliveryAt": "2019-08-24T14:15:22Z",    "failureCount": 0,    "disabledReason": "string"  }}